Package ru.bitel.bgbilling.modules.sorm.common.bean

# Enum Class Directional

java.lang.Object
java.lang.Enum<Directional>
ru.bitel.bgbilling.modules.sorm.common.bean.Directional

All Implemented Interfaces:
  `Serializable`, `Comparable<Directional>`, `Constable`, `GuiTitlable`

public enum Directional extends Enum<Directional> implements GuiTitlable
Описание направленности пучков для выгрузки СОРМ

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `BIDIRECTIONAL`
  `INBOUND`
  `OUTBOUND`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getCode()`
  `String`
  `getGuiTitle()`
  Строка - имя объекта.
  `String`
  `getValue()`
  `static Directional`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static Directional[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### INBOUND

    public static final Directional INBOUND

  - ### OUTBOUND

    public static final Directional OUTBOUND

  - ### BIDIRECTIONAL

    public static final Directional BIDIRECTIONAL

- ## Method Details

  - ### values

    public static Directional[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static Directional valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getGuiTitle

    public String getGuiTitle()
    Description copied from interface: `GuiTitlable`
    Строка - имя объекта. Скорее всего уникальная. Используется в комбобоксах, например, итд.
    Specified by:
      `getGuiTitle` in interface `GuiTitlable`
    Returns:
      Строка - представление объекта.

  - ### getValue

    public String getValue()

  - ### getCode

    public int getCode()